<%@ page contentType = "text/html" %>
<%@ page import ="java.util.*" %>
<%!
  /** this function converts an array of cookies into a hashtable */
  Hashtable cookieTable(Cookie[] cookies) {
    Hashtable cookieTable = new Hashtable();
    if (cookies != null) {
      for (int i=0; i < cookies.length; i++)
        cookieTable.put(cookies[i].getName(), cookies[i].getValue());
    }
    return cookieTable;
  }
%>

<%
  String message = "Login";
  HttpSession mySession = request.getSession(false);
  String userid = new String();
  String password = new String();
  Hashtable cookies = cookieTable(request.getCookies());
  if (cookies.containsKey("userid")) {
    userid = (String)cookies.get("userid");
  }
  if (cookies.containsKey("password")) {
    password = (String)cookies.get("password");
  }

%>
<html xmlns = "http://www.w3.org/1999/xhtml">
	<head>
		<title>CSC8711-Project 4</title>
		<link rel="stylesheet" href="css/style.css" type="text/css"/>
	</head>
	<body>  
	 	<script type="text/javascript">
	 	
	 	function onSubmit() {
	 	    var regex = /^[A-Za-z]+(\w){3,22}$/;
	 	    var user = document.getElementById("userid").value;
	 	    var pass = document.getElementById("password").value;
	 	    var error = "Invalid user name and password.\nIt must start with a letter follow by a letter or number and it must be greater than 4 and less than 23 character.\n";
	 	    if(!regex.test(user) || !regex.test(pass)) {
	 				alert(error);
	 				return false;
	 	    }
	 	}

     	</script>
		<center>
			<b><h1>JasDB Inventory Management System</h1></b>
			<% if (mySession.getAttribute("userid") == null) { %>
				<form id="login" action="NoSQLService" method = "post">
					<p>
						<table>
							<tr>
								<td>Login</td>
								<% if (cookies.containsKey("userid")) { %>
								<td><input type="text" id="userid" name="userid" size=11 value=<%= (String)cookies.get("userid")%>></td>
								<% } else { %>
								<td><input type="text" id="userid" name="userid" size=11 /></td>
								<% } %>
							</tr>
							<tr>
								<td>Password</td>
								<% if (cookies.containsKey("password")) { %>
								<td><input type="password" id="password" name="password" size=11 value=<%= (String)cookies.get("password") %>></td>
								<% } else { %>
								<td><input type="password" id="password" name="password" size=11 /></td>
								<% } %>
							</tr>
						</table>
					</p>
					<input type="submit" name="action" class="btnMouseOut" value="login" onsubmit=onSubmit() onmouseover="this.className='btnMouseOver'" onmouseout="this.className='btnMouseOut'"/><br/>
				</form>
			<% } else { %>
				<% userid= mySession.getAttribute("userid").toString();%>
  				<br/>
  				Welcome back <%= userid %>
  				<jsp:forward page="inventory.jsp"/>

  		<% } %>
  	</h3>
			
		</center>	
	</body>
</html>