<%@ page import="csc8711.nosql.*" %>


<jsp:useBean id="users" type="csc8711.nosql.UserBean" scope="session">
	<jsp:setProperty name="users" property="*" />
</jsp:useBean>

<%
	String message = "Users";
	HttpSession mySession = request.getSession(false);
	String userid = mySession.getAttribute("userid").toString();
	User[] items = users.getUsers();
%>
<html>
	<head>
		<link rel="stylesheet" href="css/style.css" type="text/css"/>
	</head>
	<body>
		<center>
		<h3><%= userid %> <%= message%></h3> <br/>
					<p>User Table <span id="txtHint"><br/>
						<table class="main">
							<tr>
								<th>UserID</th>
								<th>Name</th>
								<th>Password</th>
								<th>Role</th>
								<th>Edit/Delete</th>
							</tr>
							<% for (int i=0;i<items.length;i++) { %>
								<%if (i%2==0) {%>
									<tr class="even">
								<% } else {%>
									<tr class="odd">
								<% } %>
									<td><%= items[i].getUserID() %></td>
									<td><%= items[i].getUserName() %></td>
									<td><%= items[i].getPassword() %></td>
									<% if (items[i].getRole().equals("0")) { %>
  										<td>Admin</td>
  									<% } else {%>
  										<td>Viewer</td>
  									<% } %>
									<td class="center">
										<%if (items[i].getUserID().equals(userid)) {%>
											<a href="updateUser.jsp?id=<%= items[i].getId() %>&userid=<%= items[i].getUserID() %>&name=<%= items[i].getUserName() %>&password=<%= items[i].getPassword() %>&role=<%= items[i].getRole() %>">Edit</a>
										<% } else {%>
											<a href="updateUser.jsp?id=<%= items[i].getId() %>&userid=<%= items[i].getUserID() %>&name=<%= items[i].getUserName() %>&password=<%= items[i].getPassword() %>&role=<%= items[i].getRole() %>">Edit</a>/<a href="NoSQLService?action=removeUser&id=<%= items[i].getId() %>">Delete</a>
										<% } %>
									</td>
								</tr>
							<% } %>
						</table>
						<br/><a href="inventory.jsp">View Inventory</a>/<a href="NoSQLService?action=viewCategory">View Category</a>/<a href="newUser.jsp">New User</a></span></p>
					<form id="logout" action="NoSQLService" method = "post">
						<input type="submit" name="action" class="btnMouseOut" value="logout" onmouseover="this.className='btnMouseOver'" onmouseout="this.className='btnMouseOut'"/><br/>
				</form>
		</center>

	</body>
</html>